Subject: Re: bug#60386: [PATCH] gnu: Add guile-proba.

From: Luis Felipe <[email-masked]>
Date: Fri, 13 Jan 2023 15:41:42 +0000

On Tuesday, January 10th, 2023 at 10:48, Ludovic Courtès <[email-masked]> wrote:

> I don’t think ‘guile-3.0’ and ‘texinfo’ need to be propagated, do they?

They do? If I don't propagate them, running the "proba" script fails because the "proba" library can't be found and running "info guile-proba" the info command is not found (I just tried in a foreign distro and also using a pure shell on my Guix system). 

Things only work as expected if I propagate "guile-3.0" and "texinfo" or if I don't propagate them but tell users to install them themselves (guix install guile-proba guile texinfo).

So I'm not sure what I should do...